; qchaco-cross.nsi
;
; hacked by Sven Oliver Moll using example2.nsi as a template
;
; distributed under the terms of the GNU Lesser General Public License (LGPL)
; available at http://www.gnu.org/licenses/lgpl.html
;
;--------------------------------

; The name of the installer
Name "qchaco - A Simple Frontend To Chaco"

; The file to write
OutFile "..\..\..\qchaco-installer.exe"

; The default installation directory
InstallDir $PROGRAMFILES\qchaco

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM "Software\qchaco" "Install_Dir"

; Request application privileges for Windows Vista
RequestExecutionLevel admin

; Set maximum compression
SetCompressor /SOLID lzma

; License to use
LicenseData ..\..\LICENSE.GPL

;--------------------------------

; Pages

Page license
;Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; The stuff to install
Section "qchaco (required)"

  SectionIn RO
  
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  
  ; Put file there
  !include ..\..\build\packaging\files-install.nsh
  
  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\qchaco "Install_Dir" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\qchaco" "DisplayName" "qchaco - A Simple Udp Console"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\qchaco" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\qchaco" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\qchaco" "NoRepair" 1
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\qchaco"
  CreateShortCut "$SMPROGRAMS\qchaco\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  CreateShortCut "$SMPROGRAMS\qchaco\qchaco.lnk" "$INSTDIR\qchaco.exe" "" "$INSTDIR\qchaco.exe" 0
  
SectionEnd

;--------------------------------

; Uninstaller

Section "Uninstall"
  
  ; Remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\qchaco"
  DeleteRegKey HKLM SOFTWARE\qchaco

  ; Remove files and uninstaller
  !include ..\..\build\packaging\files-delete.nsh
  Delete $INSTDIR\uninstall.exe

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\qchaco\*.*"

  ; Remove directories used
  RMDir "$SMPROGRAMS\qchaco"
  RMDir "$INSTDIR"

SectionEnd
