/**
 * src/qchaco/Application.cpp
 * written by Sven Oliver Moll
 *
 * distributed under the terms of the GNU Lesser General Public License (LGPL)
 * available at http://www.gnu.org/licenses/lgpl.html
 */

#include <QtGui/QApplication>
#include <QStringList>
#include <QTemporaryFile>
#include "MainWindow.hpp"
#include "C64File.hpp"
#include "D64File.hpp"
#include <QtDebug>
#include <QProcess>

int main(int argc, char *argv[])
{
#if 1
   QApplication a(argc, argv);
   a.setOrganizationName("SvOlli");
   a.setOrganizationDomain("svolli.org");
   a.setApplicationName("qchaco");

   MainWindow w;
   w.show();

   return a.exec();
#else
   QCoreApplication a( argc, argv );

   for( int i = 0; i < 683; i++ )
   {
      qDebug() << i << D64File::getTrackNumber( i ) << D64File::getSectorNumber( i );
   }

   return 0;
#endif
}
