/**
 * src/qchaco/C64File.hpp
 * written by Sven Oliver Moll
 * 
 * distributed under the terms of the GNU Lesser General Public License (LGPL)
 * available at http://www.gnu.org/licenses/lgpl.html
 */

#ifndef C64FILE_HPP
#define C64FILE_HPP C64FILE_HPP

/* base class */

/* system headers */
#include <stdio.h>

/* Qt headers */
#include <QByteArray>

/* local library headers */

/* local headers */

/* forward declaration of Qt classes */
class QString;

/* forward declaration of local classes */
class Class;


class C64File
{
public:
   C64File( const QString &fileName );
   virtual ~C64File();

   bool isValid();
   unsigned short startAddress();
   unsigned short endAddress();
   const QByteArray &fileData();
   
private:
   C64File( const C64File &other );
   C64File &operator=( const C64File &other );

   bool           mIsValid;
   unsigned short mStartAddress;
   unsigned short mEndAddress;
   QByteArray     mFileData;
};

#endif
