/**
 * src/qchaco/ConfigWidget.hpp
 * written by Sven Oliver Moll
 * 
 * distributed under the terms of the GNU Lesser General Public License (LGPL)
 * available at http://www.gnu.org/licenses/lgpl.html
 */

#ifndef CONFIGWIDGET_HPP
#define CONFIGWIDGET_HPP CONFIGWIDGET_HPP

/* base class */
#include <QWidget>

/* system headers */

/* Qt headers */

/* local library headers */

/* local headers */

/* forward declaration of Qt classes */
class QCheckBox;
class QDragEnterEvent;
class QDropEvent;
class QLabel;
class QPushButton;
class QSpinBox;

/* forward declaration of local classes */
class ChacoCmd;
class BaseSpinBox;
class FileNameEdit;


class ConfigWidget : public QWidget
{
Q_OBJECT

public:
   ConfigWidget( ChacoCmd *chacoCmd, QWidget *parent = 0 );
   virtual ~ConfigWidget();

public slots:
   /* handle the change of the path to chacocmd */
   void fileNameChanged( const QString &path );
   /* set the size of history for drop down list */
   void setHistorySize( int size );

signals:
   /* send data for upload */
   void requestUpload( unsigned long addr, const QByteArray &data );

protected:
   /* handle drag'n'drop part one */
   void dragEnterEvent( QDragEnterEvent *event );
   /* handle drag'n'drop part two */
   void dropEvent( QDropEvent *event );

private:
   ConfigWidget( const ConfigWidget &other );
   ConfigWidget &operator=( const ConfigWidget &other );

   ChacoCmd          *mpChacoCmd;
   FileNameEdit      *mpChacoCmdFileName;
   QSpinBox          *mpHistorySize;
};

#endif
