/**
 * src/qchaco/HexEdit.hpp
 * written by Sven Oliver Moll
 * 
 * distributed under the terms of the GNU Lesser General Public License (LGPL)
 * available at http://www.gnu.org/licenses/lgpl.html
 */

#ifndef HEXEDIT_HPP
#define HEXEDIT_HPP HEXEDIT_HPP

/* base class */
#include <QLineEdit>

/* system headers */

/* Qt headers */

/* local library headers */

/* local headers */

/* forward declaration of Qt classes */
class QFocusEvent;

/* forward declaration of local classes */


class HexEdit : public QLineEdit
{
Q_OBJECT

public:
   HexEdit( unsigned long maxValue, QWidget *parent = 0 );
   virtual ~HexEdit();

   Q_PROPERTY( unsigned long value
               READ value
               WRITE setValue )
   /* get the value */
   unsigned long value();
   /* set the value */
   void setValue( unsigned long value );

public slots:
   /* conversion of string to data */
   void handleValueChanged( const QString &value );

signals:
   /* notify of the changed value */
   void valueChanged( unsigned long value );

protected:
   /* on losing focus reformat data */
   virtual void focusOutEvent( QFocusEvent *e );

private:
   HexEdit( const HexEdit &other );
   HexEdit &operator=( const HexEdit &other );
};

#endif
