/**
 * src/qchaco/HexEditValidator.cpp
 * written by Sven Oliver Moll
 * 
 * distributed under the terms of the GNU Lesser General Public License (LGPL)
 * available at http://www.gnu.org/licenses/lgpl.html
 */

/* class declaration */
#include "HexEditValidator.hpp"

/* system headers */

/* Qt headers */

/* local library headers */

/* local headers */


HexEditValidator::HexEditValidator( unsigned long maxValue, QObject *parent )
: QValidator( parent )
, mMaxValue( maxValue )
{
}


HexEditValidator::~HexEditValidator()
{
}


QValidator::State HexEditValidator::validate( QString &input, int &/*pos*/ ) const
{
   unsigned long value;
   bool ok;

   value = input.toULong( &ok, 16 );
   if( input.isEmpty() )
   {
      return QValidator::Acceptable;
   }
   if( ok && value <= mMaxValue )
   {
      return QValidator::Acceptable;
   }
   return QValidator::Invalid;
}
