/**
 * src/qchaco/HistoryLineEdit.hpp
 * written by Sven Oliver Moll
 * 
 * distributed under the terms of the GNU Lesser General Public License (LGPL)
 * available at http://www.gnu.org/licenses/lgpl.html
 */

#ifndef HISTORYLINEEDIT_HPP
#define HISTORYLINEEDIT_HPP HISTORYLINEEDIT_HPP

/* base class */
#include <QComboBox>

/* system headers */

/* Qt headers */

/* local library headers */

/* local headers */

/* forward declaration of Qt classes */
class QFocusEvent;

/* forward declaration of local classes */


class HistoryLineEdit : public QComboBox
{
Q_OBJECT

public:
   HistoryLineEdit( const QString &registryKey, QWidget *parent = 0 );
   HistoryLineEdit( QWidget *parent = 0 );
   virtual ~HistoryLineEdit();

   Q_PROPERTY( QString registryKey
               READ registryKey
               WRITE setRegistryKey )
   /*  */
   QString registryKey() const;
   /*  */
   void setRegistryKey( const QString &key );


   /*  */
   static void setHistorySize( int size );

public slots:
   void addEntry( const QString &entry );

signals:
   /* re-emitted from lineedit */
   void returnPressed();

protected:

private:
   HistoryLineEdit( const HistoryLineEdit &other );
   HistoryLineEdit &operator=( const HistoryLineEdit &other );

   long        mMaxEntries;
   QString     mRegistryKey;
};

#endif
