/**
 * src/qchaco/HistoryList.hpp
 * written by Sven Oliver Moll
 * 
 * distributed under the terms of the GNU Lesser General Public License (LGPL)
 * available at http://www.gnu.org/licenses/lgpl.html
 */

#ifndef HISTORYLIST_HPP
#define HISTORYLIST_HPP HISTORYLIST_HPP

/* base class */
#include <QListWidget>

/* system headers */

/* Qt headers */

/* local library headers */

/* local headers */

/* forward declaration of Qt classes */
class QFocusEvent;

/* forward declaration of local classes */


class HistoryList : public QListWidget
{
Q_OBJECT

public:
   HistoryList( QWidget *parent = 0 );
   virtual ~HistoryList();

   Q_PROPERTY( long maxEntries
               READ maxEntries
               WRITE setMaxEntries )
   /* get the value */
   long maxEntries();
   /* set the value */
   void setMaxEntries( long maxEntries );
   /*  */
   QStringList entries();
   /*  */
   void setEntries( const QStringList &entries );

public slots:
   /*  */
   void addEntry( const QString &value );
   /*  */
   void handleClick( const QModelIndex &index );

signals:
   /* notify of the changed value */
   void entrySelected( const QString &value );

protected:
   /*  */
   QSize minimumSizeHint() const;

private:
   HistoryList( const HistoryList &other );
   HistoryList &operator=( const HistoryList &other );

   long     mMaxEntries;
};

#endif
