/**
 * src/qchaco/MainWidget.hpp
 * written by Sven Oliver Moll
 *
 * distributed under the terms of the GNU Lesser General Public License (LGPL)
 * available at http://www.gnu.org/licenses/lgpl.html
 */

#ifndef MAINWIDGET_HPP
#define MAINWIDGET_HPP MAINWIDGET_HPP

/* base class */
#include <QSplitter>

/* system headers */

/* Qt headers */
#include <QProcess>

/* local library headers */

/* local headers */

/* forward declaration of Qt classes */
class QListWidget;
class QTabWidget;

/* forward declaration of local classes */
class ChacoCmd;
class ConfigWidget;
class D64Widget;
class FileNameEdit;
class FlashWidget;
class PrgWidget;


class MainWidget : public QSplitter
{
Q_OBJECT

public:
   MainWidget( int tab = 0, QWidget *parent = 0 );
   virtual ~MainWidget();

   /* return the index of the current tab */
   int currentTab();

public slots:
   /* add text to log */
   void log( const QString &text );
   /* handle error on calling chacocmd */
   void handleError( int retval );

signals:

private:
   MainWidget( const MainWidget &other );
   MainWidget &operator=( const MainWidget &other );

   QTabWidget     *mpTabs;
   QListWidget    *mpLog;
   ChacoCmd       *mpChacoCmd;
   ConfigWidget   *mpConfigWidget;
   FlashWidget    *mpFlashWidget;
   PrgWidget      *mpPrgWidget;
   D64Widget      *mpD64Widget;
};

#endif // MAINWIDGET_HPP
